"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitmqCluster = void 0;
const base_1 = require("@kubernetes-models/base");
const RabbitmqComV1beta1RabbitmqCluster_1 = require("../../_schemas/RabbitmqComV1beta1RabbitmqCluster.js");
/**
 * RabbitmqCluster is the Schema for the RabbitmqCluster API. Each instance of this object corresponds to a single RabbitMQ cluster.
 */
class RabbitmqCluster extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: RabbitmqCluster.apiVersion,
            kind: RabbitmqCluster.kind,
            ...data
        });
    }
}
exports.RabbitmqCluster = RabbitmqCluster;
RabbitmqCluster.apiVersion = "rabbitmq.com/v1beta1";
RabbitmqCluster.kind = "RabbitmqCluster";
RabbitmqCluster.is = (0, base_1.createTypeMetaGuard)(RabbitmqCluster);
(0, base_1.setValidateFunc)(RabbitmqCluster, RabbitmqComV1beta1RabbitmqCluster_1.validate);
