import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/RabbitmqComV1beta1RabbitmqCluster.mjs";
/**
 * RabbitmqCluster is the Schema for the RabbitmqCluster API. Each instance of this object corresponds to a single RabbitMQ cluster.
 */
export class RabbitmqCluster extends Model {
    constructor(data) {
        super({
            apiVersion: RabbitmqCluster.apiVersion,
            kind: RabbitmqCluster.kind,
            ...data
        });
    }
}
RabbitmqCluster.apiVersion = "rabbitmq.com/v1beta1";
RabbitmqCluster.kind = "RabbitmqCluster";
RabbitmqCluster.is = createTypeMetaGuard(RabbitmqCluster);
setValidateFunc(RabbitmqCluster, validate);
